org.springframework.data.convert

## Class CustomConversions.StoreConversions

- java.lang.Object
- - org.springframework.data.convert.CustomConversions.StoreConversions

Enclosing class:
  CustomConversions

    public static class CustomConversions.StoreConversions
    extends Object

Value type to capture store-specific extensions to the `CustomConversions`. Allows to forward store specific default conversions and a set of types that are supposed to be considered simple.

Author:
  Oliver Gierke

### Field Summary

Fields
`static CustomConversions.StoreConversions` `NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`Streamable<org.springframework.data.convert.CustomConversions.ConverterRegistration>` `getRegistrationsFor(Object converter)` Returns `ConverterRegistration`s for the given converter.
`int` `hashCode()`
`static CustomConversions.StoreConversions` `of(SimpleTypeHolder storeTypeHolder, Collection<?> converters)` Creates a new `CustomConversions.StoreConversions` for the given store-specific `SimpleTypeHolder` and the given converters.
`static CustomConversions.StoreConversions` `of(SimpleTypeHolder storeTypeHolder, Object... converters)` Creates a new `CustomConversions.StoreConversions` for the given store-specific `SimpleTypeHolder` and the given converters.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final CustomConversions.StoreConversions NONE

### Method Detail

#### of

    public static CustomConversions.StoreConversions of(SimpleTypeHolder storeTypeHolder,
                                                        Object... converters)

Creates a new `CustomConversions.StoreConversions` for the given store-specific `SimpleTypeHolder` and the given converters.

Parameters:
  `storeTypeHolder` - must not be null.
  `converters` - must not be null.
Returns:

#### of

    public static CustomConversions.StoreConversions of(SimpleTypeHolder storeTypeHolder,
                                                        Collection<?> converters)

Creates a new `CustomConversions.StoreConversions` for the given store-specific `SimpleTypeHolder` and the given converters.

Parameters:
  `storeTypeHolder` - must not be null.
  `converters` - must not be null.
Returns:

#### getRegistrationsFor

    public Streamable<org.springframework.data.convert.CustomConversions.ConverterRegistration> getRegistrationsFor(Object converter)

Returns `ConverterRegistration`s for the given converter.

Parameters:
  `converter` - must not be null.
Returns:

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`